SOLVED Printer driver help.

Questions about applications and software
Forum rules
Before you post please read this

SOLVED Printer driver help.

Postby trefall on Sun Jan 10, 2010 11:40 pm

Folks,
I downloaded a Canon printer driver a while back and I'm trying to install it now. It's an .rpm package. So, I installed Alien, figured out how to log in as root [good that root isn't default. I could really do a lot of damage :D ] but I can't cd to where the package is located 'Downloads'. I don't know Linux syntax and I'm trying things I'm finding in other posts but nothing works. Related question, do I have to convert each file in the package? There are 4 files. Two 'common' and two 'piximaip'. Any help is appreciated.
Edit - Another question. Is it possible to convert the driver to a .deb and post it, since Canon apparently doesn't like Debian :D , or is it some sort of copyright violation. anybody know?
Last edited by trefall on Tue Jan 19, 2010 3:51 pm, edited 1 time in total.
HP Pavilion DV6 17.2" 1366x768pix 6GB RAM
560GB DD Mint 13 (Cinnamon) Intel i5 quad 2.4mhz
trefall
Level 3
Level 3
 
Posts: 149
Joined: Tue Dec 22, 2009 3:13 pm
Location: Mexico

Linux Mint is funded by ads and donations.
 

Re: Printer driver help.

Postby mzsade on Mon Jan 11, 2010 1:45 am

I do not have a Canon printer so i do not have any first hand experience with these but they may help: https://help.ubuntu.com/community/CanonCaptDrv190,
http://mambo.kuhp.kyoto-u.ac.jp/~takushi/#canon
Linux User #481272 Reg: 15th Sept., 2008
mzsade
Level 5
Level 5
 
Posts: 614
Joined: Sun Jul 19, 2009 4:36 am

Re: Printer driver help.

Postby trefall on Mon Jan 11, 2010 3:37 pm

Thanks MZ. I'll check them out
HP Pavilion DV6 17.2" 1366x768pix 6GB RAM
560GB DD Mint 13 (Cinnamon) Intel i5 quad 2.4mhz
trefall
Level 3
Level 3
 
Posts: 149
Joined: Tue Dec 22, 2009 3:13 pm
Location: Mexico

Re: Printer driver help.

Postby casaduana on Wed Jan 13, 2010 12:29 am

The printer driver on the Japanese site most like will not work since it was based on Ubuntu 7.04. My findings corroborate that post Ubuntu 8.04, aka Mint 5, the work-around from mambo will not work. However, a very simple, albeit costly---you must pay for it--- solution is to buy the Turboprint program from www.turboprint.de. Their driver program works on virtually any Canon printer and installs very nicely in all recent versions of Mint Linux. Canon makes little or no effort to produce or adapt drivers for Linux. They make great, inexpensive printers to buy and use, but their Linux support is terrible. I went though a lot of sweat and anguish before deciding that Turboprint's solution was/is the cheapest.
casaduana
Level 1
Level 1
 
Posts: 6
Joined: Sun Jun 07, 2009 7:22 pm

Re: Printer driver help.

Postby trefall on Mon Jan 18, 2010 4:08 pm

Tried to install driver but get
Error: Dependency is not satisfiable: libglib1.2 (>= 1.2.0)
Seems to want to work but I'm guessing there's some glitch. Any suggestions would be appreciated.
HP Pavilion DV6 17.2" 1366x768pix 6GB RAM
560GB DD Mint 13 (Cinnamon) Intel i5 quad 2.4mhz
trefall
Level 3
Level 3
 
Posts: 149
Joined: Tue Dec 22, 2009 3:13 pm
Location: Mexico

Re: Printer driver help.

Postby trefall on Tue Jan 19, 2010 3:50 pm

If you have an iP1000 on Linux system, try this -
http://ubuntuforums.org/showthread.php?t=45609 post #4
I've tried 5 different ways and this one was the only one that actually worked!
HP Pavilion DV6 17.2" 1366x768pix 6GB RAM
560GB DD Mint 13 (Cinnamon) Intel i5 quad 2.4mhz
trefall
Level 3
Level 3
 
Posts: 149
Joined: Tue Dec 22, 2009 3:13 pm
Location: Mexico


Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 19 guests